> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Import Job

> Retrieves an import job by ID. For detailed usage, file format specifications, and field references, see the [Import/Export API Overview](/pages/import-export-api-overview).



## OpenAPI

````yaml /openapi/openapi_importexport.json get /platform/data/import/{id}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_IMPORTEXPORT">
                <h2>Import Export</h2>
                <p>The Import Export APIs are used to "import and export" Kibo's resources efficiently in <strong>CSV</strong> file format.</p>
                <p> For Importing, files are first zipped and uploaded via the <strong>Files API</strong>. Then an import job can be created, referencing the uploaded files using the <strong>Import API.</strong></p>
                <p> For Exporting, create an export job via the  <strong></strong>Export API, specifying  the resource to be exported. Then after completion, the csv extracts can be downloaded via the <strong>File API</strong></p>
                
            </div>
  title: Import Export
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/import/{id}:
    get:
      tags:
        - Import
      summary: Get Import Job
      description: >-
        Retrieves an import job by ID. For detailed usage, file format
        specifications, and field references, see the [Import/Export API
        Overview](/pages/import-export-api-overview).
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
            text/json:
              schema:
                $ref: '#/components/schemas/ImportJob'
            text/plain:
              schema:
                $ref: '#/components/schemas/ImportJob'
          description: OK
components:
  schemas:
    ImportJob:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        configuration:
          nullable: true
        contextOverride:
          $ref: '#/components/schemas/ContextOverride'
        domain:
          nullable: true
          type: string
        files:
          items:
            $ref: '#/components/schemas/DropLocation'
          nullable: true
          type: array
        format:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        isComplete:
          type: boolean
        name:
          nullable: true
          type: string
        requester:
          nullable: true
          type: string
        resources:
          items:
            $ref: '#/components/schemas/ImportResource'
          nullable: true
          type: array
        status:
          nullable: true
          type: string
        statusDetails:
          nullable: true
          type: string
        statusMessage:
          nullable: true
          type: string
        tenant:
          format: int32
          type: integer
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    ContextOverride:
      properties:
        catalog:
          format: int32
          nullable: true
          type: integer
        currency:
          nullable: true
          type: string
        locale:
          nullable: true
          type: string
        masterCatalog:
          format: int32
          nullable: true
          type: integer
        site:
          format: int32
          nullable: true
          type: integer
      type: object
    DropLocation:
      properties:
        fileName:
          nullable: true
          type: string
        fileType:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        locationType:
          nullable: true
          type: string
        uri:
          nullable: true
          type: string
      type: object
    ImportResource:
      properties:
        allowSyscalcValueUpdates:
          type: boolean
        configuration:
          nullable: true
        deleteOmitted:
          type: boolean
        fields:
          items:
            type: string
          nullable: true
          type: array
        format:
          nullable: true
          type: string
        isComplete:
          type: boolean
        resource:
          nullable: true
          type: string
        stateDetails:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        statusMessage:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````